### Signal

# Gdk.Surface::event

#### Declaration

    gboolean
    event (
      GdkSurface self,
      GdkEvent* event,
      gpointer user_data
    )

#### Description [src]

Emitted when GDK receives an input event for `surface`.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`

#### Parameters

`event` | `GdkEvent`
| an input event
| Ownership is not transferred to the callee

#### Return value

Returns: `gboolean`
`TRUE` to indicate that the event has been handled